Bug 523895 - "Connect to Server" Functionality Does Not Remember Specified Folder
Summary: "Connect to Server" Functionality Does Not Remember Specified Folder
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 05:02 UTC by David Le Sage
Modified: 2015-03-03 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:41:49 UTC


Attachments (Terms of Use)

Description David Le Sage 2009-09-17 05:02:15 UTC
Description of problem:
The user wants to create an SSH connection to a remote Server. This is successful and, the first time it opens, it jumps to the specified sub-directory.  On subsequent occassions, however, it always goes to the root folder of the server.

Version-Release number of selected component (if applicable):
Nautilus 2.26.3

How reproducible:
Every time.

Steps to Reproduce:
1. Click on Places -> Connect to Server.
2. Fill in details for an SSH server.  Include a folder and choose to create a bookmark.
3. Click "Connect."
4. A Nautilus window to the server will appear and it will, indeed, open at the folder specified.
5. Now close that Nautilus window.
6. Open a new Nautilus window (we are in File Browser, as opposed to spatial, mode.)  From the "Places" sidebar, click on the bookmark to the server.
7. Note that it now opens in the root menu of the remote server, instead of the specific folder you requested earlier when you initially created the bookmark.
8. Note that this is also the case when you click on the shortcut that has been created on the GNOME desktop.  Therefore, it seems when a place bookmark is saved in Nautilus, the information about the folder is not also being saved correctly.
  
Actual results:
When clicking on bookmark in Nautilus' "Places" sidebar or as a desktop shortcut, the root directory of the remote server is being opened.

Expected results:
When you click on the bookmark or the desktop shortcut, the specified directory of the remote server should be opened, not the root directory.

Additional info:

Comment 1 David Le Sage 2009-09-17 05:10:57 UTC
Okay, I just did some further investigation and realised that, with regard to the Nautilus "Places" sidebar, it is putting a direct link to the server's root directory ABOVE the menu separator line and a link to the actual folder I specified BELOW that line.


User error on my part. :-(  My apologies. 


Nevertheless, perhaps this is a usability issue. For example, should the desktop shortcut be a link to the server itself?  If a user requests a specific folder, perhaps the desktop shortcut should link to it, as per the bookmark below the menu separator line in the Nautilus Places Sidebar.  It would make things a little more intuitive, particularly for those people in our userbase who prefer to use desktop shortcuts.

Comment 2 Bug Zapper 2010-04-28 10:25:23 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:41:49 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.